DERSequenceGenerator (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class DERSequenceGenerator

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Generator
  - - org.bouncycastle.asn1.DERGenerator
    - - org.bouncycastle.asn1.DERSequenceGenerator

-     public class DERSequenceGenerator
      extends DERGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Generator

      `_out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERSequenceGenerator(java.io.OutputStream out)`
    `DERSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(ASN1Encodable object)`
    `void` | `close()`
    `java.io.OutputStream` | `getRawOutputStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DERSequenceGenerator

          public DERSequenceGenerator(java.io.OutputStream out)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DERSequenceGenerator

          public DERSequenceGenerator(java.io.OutputStream out,
                              int tagNo,
                              boolean isExplicit)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### addObject

          public void addObject(ASN1Encodable object)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRawOutputStream

          public java.io.OutputStream getRawOutputStream()

      Specified by:
        `getRawOutputStream` in class `ASN1Generator`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`